### Method

# Ide Object insert_sorted

#### Declaration

    void
    ide_object_insert_sorted (
      IdeObject* self,
      IdeObject* child,
      GCompareDataFunc func,
      gpointer user_data
    )

#### Description

Locates the proper sibling for `child` by using `func` amongst `self`‘s children `IdeObject`. Those objects must already be sorted.

Available since: | 3.32

#### Parameters

`child` | `IdeObject`
| An `IdeObject`.
| The data is owned by the caller of the function.
`func` | `GCompareDataFunc`
| A `GCompareDataFunc` that can be used to locate the proper sibling.
`user_data` | `gpointer`
| User data for `func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.